FDISK(8)

NAME
fdisk - partition a hard disk [IBM]

SYNOPSIS
fdisk [-hm] [-sn] [file]

OPTIONS

EXAMPLES

DESCRIPTION

When fdisk starts up, it reads in the partition table and displays it. It then presents a menu to allow the user to modify partitions, store the partition table on a file, or load it from a file. Partitions can be marked as MINIX, DOS or other, as well as active or not. Using fdisk is self-explanatory. However, be aware that repartitioning a disk will cause information on it to be lost. Rebooting the system immediately is mandatory after changing partition sizes and parameters. MINIX, XENIX, PC-IX, and MS-DOS all have different partition numbering schemes. Thus when using multiple systems on the same disk, be careful.

Note that MINIX, unlike MS-DOS , cannot access the last sector in a partition with an odd number of sectors. The reason that odd partition sizes do not cause a problem with MS-DOS is that MS-DOS allocates disk space in units of 512-byte sectors, whereas MINIX uses 1K blocks. Fdisk has a variety of other features that can be seen by typing h.

Fdisk normally knows the geometry of the device by asking the driver. You can use the -h and -s options to override the numbers found.

SEE ALSO
part(8).